> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/43.-interogare-obtine-parcele.md).

# 43. Interogare: Obține "Parcele"

Interogare pentru a obține "Câmpurile" utilizatorului cu filtre după `etichetelor`, `farmUuid`, `fieldUuid`, `numeCâmp`. Câmpurile returnate în ordine alfabetică după numele câmpului.&#x20;

Filtrul de câmp funcționează ca o condiție ȘI, de ex. este posibil să se filtreze după `farmUuid` și după `fieldUuid` și după `etichetelor` și după `numeCâmp` în aceeași interogare sau să se folosească doar o singură condiție de filtrare sau să nu se folosească nicio condiție.&#x20;

Filtrează după `numeCâmp` funcționează ca `începe_cu`.&#x20;

Pentru a implementa logica de paginare, folosiți parametrul de interogare `dimensiunePagină`. Există `ultimaCheieEvaluată` și `numarTotal` în răspuns, unde `ultimaCheieEvaluată` se referă la ultimul înregistrare procesată care corespunde condiției de filtrare și `numarTotal` este numărul total de înregistrări care se potrivesc condițiilor de filtrare.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare FiltreCâmpuri {
  getFields(
    filtru: {
      farmUuid: "<placeholder_of_farm_uuid>"
      uuidParcelă: "<placeholder_of_field_uuid>"
      etichete: [{ name: "name1", value: "value1" }]
      dimensiunePagină: 2
      ultimaCheieEvaluată: {
        CheieSortare: "<some_key>"
        CheiePartiție: "<some_key>"
        ȘirEtichetă: "<some_key>"
      }
      numeCâmp: "Exemplu"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      nume
      labels {
        nume
        value
      }
      numarTotal
    }
    ultimaCheieEvaluată {
      CheieSortare
      CheiePartiție
      ȘirEtichetă
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/43.-interogare-obtine-parcele.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
